world_size = {0,0, 1600, 600}
help_text = {"cursor keys - movement",
			 "p - pause, h - help",
			 "esc - back to menu",
			 "space - grab/drop object",
			 "left mouse button - create box/grab object",
			 "right mouse button - remove object"
			}
if DEBUG then print("Creating world") end
world = love.physics.newWorld(world_size[1],world_size[2],world_size[3],world_size[4])
world:setGravity(0,1000)
world:setCallbacks( cb_collide, cb_persist, cb_remove, cb_result )
level[1] = RectanglePlatform(800,550,1600,10)
level[2] = RectanglePlatform(0,300,10,600)
level[3] = RectanglePlatform(1600,300,10,600)
level[4] = RotatingPlatform(300,400,200,20)
level[4].shape:setFriction(0)
level[5] = RotatingPlatform(600,400,200,20)
if DEBUG then print("Creating actors") end
actors[6] = Pony(300,500)
actors[6]:setAnimations({
walk={file="data/trotcycle_aloe.png",size=128,delay=0.1,length=16},
stand={file="data/stand_aloe.png",size=128,delay=0.1,length=4}
},"stand")
actors[7] = Pony(400,500)
actors[7]:setAnimations({
walk={file="data/trotcycle_aloe.png",size=128,delay=0.1,length=16},
stand={file="data/stand_aloe.png",size=128,delay=0.1,length=4}
},"stand")
actors[8] = Pony(500,500)
actors[8]:setAnimations({
walk={file="data/trotcycle_aloe.png",size=128,delay=0.1,length=16},
stand={file="data/stand_aloe.png",size=128,delay=0.1,length=4}
},"stand")
if DEBUG then print("Appending actors to level") end
table.insert(level,6,actors[6])
table.insert(level,7,actors[7])
table.insert(level,8,actors[8])
if DEBUG then print("Assign player to actor") end
current,player= next(actors)
player.controlled = true
camera = Camera(player.position)
camera:setLimits(400,300,1200,300)
--mouse joint
j = false
