require 'game'

menu = Gamestate.new()
function menu:enter(from)
    print("Entering menu",menu,"from",from)
end
function menu:leave()
    print("Leaving menu")
end
function menu:draw()
	love.graphics.setColor(255,255,255)
	love.graphics.setBackgroundColor(127 , 127, 255 )
    love.graphics.print("1 - playground",20,20)
    love.graphics.print("2 - edit playground",20,40)
    love.graphics.print("esc - quit",20,60)
end
function menu:keypressed(key,unicode)
    print("menu keypressed",key,unicode)
    if key == "escape" then
        love.event.push("q")
    end
    if key == "1" then
        Gamestate.switch(game,"playground.lua")
    end
    if key == "2" then
        Gamestate.switch(editor,"playground.lua")
    end
end
